#version 130

/* Uniform */
uniform mat4 projection_matrix;
uniform mat4 modelview_matrix;

/* In */
in vec3 a_Vertex;
in vec3 a_Color;
in vec2 a_TexCoord;

/* Out */
out vec4 Color;
out vec2 TexCoord0;

/* Main Program */
void main() 
{
	TexCoord0 = a_TexCoord;
	Color = vec4(a_Color, 1.0);
	vec4 pos = modelview_matrix * vec4(a_Vertex, 1.0);
	gl_Position = projection_matrix * pos;	
}


