/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef FPS_H_
#define FPS_H_
/* Header Files */
#include <cstdio>
#include <cstdlib>
#include <sys/time.h>

//---------------------------------------------------------------------------

/* Class FPS */
class FPS
{
public:
	/* Global Variables */
	struct timeval  tv;
	struct timeval tv0;
	
	int FramesPerFPS;
	float TimeCounter;
	float LastFrameTimeCounter;
	float fpse;

	/* Function */
	void CalculateFPS();
	void InitTimeCounter();
	void UpdateTimeCounter(float dt);	
};

//---------------------------------------------------------------------------

#endif
