/*********************************************************************
*                                                                    *          
*                              FLY                                   *
*                           --E#Y#E--				     *
*                         ===MUSCLE===                               *
*                                                                    *
*********************************************************************/
#ifndef WIN_H_
#define WIN_H_

/* C++ Header Files */
#include <cstdio>
#include <cstdlib>
#include <ctime>
/* X11 */
#include <X11/keysym.h>
#include <X11/X.h>
#include <X11/Xlib.h>
#include <X11/Xutil.h>
/* Flysimulator */
#include "../FPS/fps.h"
#include "../OGL/opengl.h"
#include "../OGL/cockpit.h"

#define DATE 75
#define LE 13

//---------------------------------------------------------------------------

/* Class Wind */
class WIND
{
public:
	/* Function */
	void createWin(bool wide);
	void perspective();
	void eventloop(void);
	void loadFont();
	void closeWin();
};

//---------------------------------------------------------------------------

#endif

